import { e7 as e, d3 as r, w as t, P as o, a1 as a, e8 as s, aw as i, c6 as n, U as l, e6 as c, a9 as p, aa as m, a0 as u, c9 as d, ai as h, ac as j, ab as y, ad as g, af as b, ae as w, ax as f, S, bT as v } from "./index-76afd059.js";
import { useRef as V, useEffect as x, useContext as k } from "react";
import { lz as E, lI as P, lJ as C } from "./ant-design-icons-a0b7c811.js";
import "./lodash-b5661970.js";
import "./loglevel-b4003767.js";
import { defaultData as N } from "./jsonConstants-e1a265a2.js";
import { u as H } from "./styled-components-7cfa37e6.js";
import { E as M, a as O } from "./codemirror-e6215243.js";
import { u as J } from "./codeEditor-b7b81d05.js";
import "./axios-04f95181.js";
import "./redux-devtools-e01f73fe.js";
import "./alasql-f60045ee.js";
import "./antd-08b1e7ad.js";
import "react-dom";
import "./dayjs-2035e031.js";
import "./fontawesome-3904a214.js";
import "./dnd-kit-55cc4eb1.js";
import "./moment-059406e8.js";
import "./numbro-47982265.js";
import "./papaparse-07642d76.js";
import "./uuid-bd83cae2.js";
import "./supabase-b2e314d0.js";
import "./fetch-648a91f6.js";
import "./react-draggable-ed505bfc.js";
import "./remark-gfm-18306abe.js";
import "./buffer-d3713d77.js";
import "./rehype-raw-6ebcba88.js";
import "./parse5-f837f753.js";
import "./rehype-sanitize-953d0761.js";
import "./simplebar-react-ddfabac6.js";
import "./react-best-gradient-color-picker-97285457.js";
import "./ua-parser-js-c952c07b.js";
import "./clsx-469c2c43.js";
import "./file-saver-55285fc1.js";
import "./really-relaxed-json-056be70b.js";
import "./immer-c0428a8d.js";
import "./hotkeys-js-699906bc.js";
import "./cnchar-e1339167.js";
import "./react-json-view-5330ce92.js";
import "./codeEditorTypes-9f9435cf.js";
import "./sql-formatter-577b4ab0.js";
import "./rc-trigger-e512ac92.js";
import "./clickCompName-d06f2d05.js";
const q = H.div`
  background-color: #fff;
  border: 1px solid #d7d9e0;
  border-radius: 4px;
  height: 100%;
  overflow-y: ${(e2) => e2.$showVerticalScrollbar ? "scroll" : "auto"};
`;
const F = { value: e("value", N), onEvent: r, autoHeight: t(f, "auto"), showVerticalScrollbar: o, label: t(S, { position: "column" }), style: a(s, "style"), animationStyle: a(i, "animationStyle"), ...n };
let T = new l(F, (e2) => {
  var _a;
  const r2 = V(null), t2 = V(null), o2 = V(false), a2 = V(null), s2 = V(), { extensions: i2 } = J({ codeType: "PureJSON", language: "json", showLineNum: true, enableClickCompName: false, onFocus: (e3) => {
    var _a2;
    e3 && ((_a2 = r2.current) == null ? void 0 : _a2.click());
  }, onChange: (r3) => {
    s2.current = r3.doc.toString();
    try {
      const t3 = JSON.parse(r3.doc.toString());
      e2.value.onChange(t3), e2.onEvent("change");
    } catch (e3) {
    }
  } });
  if (x(() => {
    !o2.current && r2.current && (a2.current = M.create({ doc: JSON.stringify(e2.value.value, null, 2), extensions: i2 }));
  }, [r2.current]), x(() => {
    a2.current && r2.current && (t2.current = new O({ state: a2.current, parent: r2.current }), o2.current = true);
  }, [e2.showVerticalScrollbar]), r2.current && t2.current && !s2.current) {
    const r3 = M.create({ doc: JSON.stringify(e2.value.value, null, 2), extensions: i2 });
    (_a = t2.current) == null ? void 0 : _a.setState(r3);
  }
  return s2.current && (s2.current = void 0), e2.label({ style: e2.style, animationStyle: e2.animationStyle, children: E(c, { hideScrollbar: !e2.showVerticalScrollbar, children: E(q, { ref: r2, onFocus: () => s2.current = "focus", $height: e2.autoHeight, $showVerticalScrollbar: e2.showVerticalScrollbar }) }) });
}).setPropertyViewFn((e2) => P(C, { children: [E(p, { name: m.basic, children: e2.value.propertyView({ label: u("export.jsonEditorDesc") }) }), E(d, { ...e2 }), ("logic" === k(h).editorModeStatus || "both" === k(h).editorModeStatus) && P(p, { name: m.interaction, children: [e2.onEvent.getPropertyView(), j(e2), y(e2)] }), E(p, { name: u("prop.height"), children: e2.autoHeight.propertyView({ label: u("prop.height") }) }), !e2.autoHeight.getView() && E(p, { name: m.layout, children: e2.showVerticalScrollbar.propertyView({ label: u("prop.showVerticalScrollbar") }) }), ("layout" === k(h).editorModeStatus || "both" === k(h).editorModeStatus) && e2.label.getPropertyView(), ("layout" === k(h).editorModeStatus || "both" === k(h).editorModeStatus) && P(C, { children: [E(p, { name: m.style, children: e2.style.getPropertyView() }), E(p, { name: m.animationStyle, hasTooltip: true, children: e2.animationStyle.getPropertyView() })] })] })).build();
T = v(T, function(e2) {
  return e2 && !e2.hasOwnProperty("label") ? { ...e2, label: { text: "" } } : e2;
}), T = v(T, function(e2) {
  return e2 && e2.hasOwnProperty("default") ? { ...e2, value: e2.default } : e2;
}), T = class extends T {
  autoHeight() {
    return this.children.autoHeight.getView();
  }
};
const $ = g(T, [new b("value", u("export.jsonEditorDesc")), w]);
export {
  $ as JsonEditorComp
};
