import { generateInsertSql as e } from "./dataSourceCommon-58ff21a7.js";
import { numberCompSelection as a, timeCompSelection as t, timestampCompSelection as c, dateTimeCompSelection as s, dateCompSelection as r, booleanCompSelection as n, setCompSelection as o, enumCompSelection as i, stringCompSelection as m } from "./comp-714087d8.js";
const u = { type: "mysql", getCompSelection: function(e2) {
  if (e2)
    switch (e2.toLowerCase()) {
      case "char":
      case "varchar":
      case "binary":
      case "varbinary":
      case "tinyblob":
      case "tinytext":
      case "text":
      case "blob":
      case "mediumtext":
      case "mediumblob":
      case "longtext":
      case "longblob":
        return m();
      case "enum":
        return i();
      case "set":
        return o();
      case "bool":
      case "boolean":
        return n();
      case "bit":
      case "tinyint":
      case "smallint":
      case "mediumint":
      case "int":
      case "integer":
      case "bigint":
      case "serial":
      case "float":
      case "double":
      case "double precision":
      case "decimal":
      case "dec":
        return a(true);
      case "date":
        return r();
      case "datetime":
        return s();
      case "timestamp":
        return c();
      case "time":
        return t();
      case "year":
        return a();
    }
}, getQueryInitData: function(a2, t2, c2) {
  return { compType: "mysql", comp: { sql: e(t2, c2), commandType: "INSERT", mode: "GUI", command: { table: t2, changeSet: { compType: "OBJECT", comp: `{{ ${a2}.data }}` } } } };
} };
export {
  u as mysqlConfig
};
