import { generateInsertSql as e } from "./dataSourceCommon-58ff21a7.js";
import { timeCompSelection as a, timestampCompSelection as s, dateCompSelection as t, numberCompSelection as c, booleanCompSelection as r, allCompSelection as o } from "./comp-714087d8.js";
const i = { type: "postgres", getCompSelection: function(e2) {
  if (e2) {
    switch (e2.toLowerCase()) {
      case "bool":
      case "boolean":
        return r();
      case "smallint":
      case "int2":
      case "integer":
      case "int":
      case "int4":
      case "bigint":
      case "int8":
      case "smallserial":
      case "serial2":
      case "serial":
      case "serial4":
      case "bigserial":
      case "serial8":
      case "real":
      case "float4":
      case "double precision":
      case "float8":
      case "numeric":
      case "decimal":
        return c(true);
      case "date":
        return t();
      case "timestamp":
      case "timestamptz":
        return s();
      case "time":
      case "timetz":
        return a();
    }
    return o();
  }
}, getQueryInitData: function(a2, s2, t2) {
  return { compType: "postgres", comp: { sql: e(s2, t2), commandType: "INSERT", mode: "GUI", command: { table: s2, changeSet: { compType: "OBJECT", comp: `{{ ${a2}.data }}` } } } };
} };
export {
  i as postgreSqlConfig
};
