var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
import { fc as e, l0 as t, l1 as i, kE as r, kI as o, f as n, h$ as s, a0 as d, f4 as a, kZ as l, l2 as p, g8 as h, fb as c, iG as m, iK as y, cF as u, l3 as f, e6 as b, e as g, l4 as x, l5 as w, Q as j, c0 as v, iL as K, l6 as k, f8 as q } from "./index-76afd059.js";
import "./lodash-b5661970.js";
import { lz as E, lI as V, lJ as L } from "./ant-design-icons-a0b7c811.js";
import "./loglevel-b4003767.js";
import D, { useState as C, useEffect as I } from "react";
import { Q as P, a as T, I as z } from "./inputListComp-c5585a98.js";
import { u as U } from "./styled-components-7cfa37e6.js";
import { p as R } from "./fontawesome-3904a214.js";
import { h as S } from "./hotkeys-js-699906bc.js";
import { D as H } from "./BottomMetaDrawer-9611e348.js";
import { u as N, H as M } from "./index-57abb502.js";
import { M as F } from "./codeEditorTypes-9f9435cf.js";
import "./axios-04f95181.js";
import "./redux-devtools-e01f73fe.js";
import "./alasql-f60045ee.js";
import "./antd-08b1e7ad.js";
import "react-dom";
import "./dayjs-2035e031.js";
import "./dnd-kit-55cc4eb1.js";
import "./moment-059406e8.js";
import "./numbro-47982265.js";
import "./papaparse-07642d76.js";
import "./uuid-bd83cae2.js";
import "./supabase-b2e314d0.js";
import "./fetch-648a91f6.js";
import "./react-draggable-ed505bfc.js";
import "./remark-gfm-18306abe.js";
import "./buffer-d3713d77.js";
import "./rehype-raw-6ebcba88.js";
import "./parse5-f837f753.js";
import "./rehype-sanitize-953d0761.js";
import "./simplebar-react-ddfabac6.js";
import "./react-best-gradient-color-picker-97285457.js";
import "./ua-parser-js-c952c07b.js";
import "./clsx-469c2c43.js";
import "./file-saver-55285fc1.js";
import "./codemirror-e6215243.js";
import "./really-relaxed-json-056be70b.js";
import "./immer-c0428a8d.js";
import "./cnchar-e1339167.js";
import "./react-json-view-5330ce92.js";
class Q extends D.Component {
  constructor(e2) {
    super(e2);
    __publicField(this, "isKeyDown", false);
    __publicField(this, "preKey", "");
    __publicField(this, "handle");
    __publicField(this, "state");
    this.onKeyDown = this.onKeyDown.bind(this), this.onKeyUp = this.onKeyUp.bind(this), this.handleKeyUpEvent = this.handleKeyUpEvent.bind(this), this.handle = {}, this.state = { enableHotKey: e2.global || false };
  }
  componentDidMount() {
    const { splitKey: e2, filter: t2 } = this.props;
    t2 && (S.filter = t2), S.unbind(this.props.keyName), S(this.props.keyName, { splitKey: e2 }, this.onKeyDown), document && document.body.addEventListener("keyup", this.handleKeyUpEvent);
  }
  componentWillUnmount() {
    S.unbind(this.props.keyName), this.isKeyDown = true, this.handle = {}, document && document.body.removeEventListener("keyup", this.handleKeyUpEvent);
  }
  onKeyUp(e2, t2) {
    if (!this.state.enableHotKey)
      return;
    const { onKeyUp: i2, disabled: r2 } = this.props;
    !r2 && i2 && i2(t2.shortcut, e2, t2);
  }
  onKeyDown(e2, t2) {
    if (!this.state.enableHotKey)
      return;
    const { onKeyDown: i2, allowRepeat: r2, disabled: o2 } = this.props, n2 = t2.shortcut;
    this.isKeyDown && !r2 && this.preKey === n2 || (this.preKey = n2, this.isKeyDown = true, this.handle = t2, !o2 && i2 && i2(n2, e2, t2));
  }
  handleKeyUpEvent(e2) {
    this.isKeyDown && (this.isKeyDown = false, this.props.keyName && this.props.keyName.indexOf(this.handle.shortcut) < 0 || (this.onKeyUp(e2, this.handle), this.handle = {}));
  }
  render() {
    const { global: e2, wrapperStyle: t2 } = this.props;
    return E("div", { style: t2, tabIndex: -1, onFocus: () => !e2 && this.setState({ enableHotKey: true }), onBlur: () => {
      !e2 && this.setState({ enableHotKey: false });
    }, children: this.props.children || null });
  }
}
__publicField(Q, "defaultProps", { filter(e2) {
  const t2 = e2.target || e2.srcElement, i2 = t2.tagName;
  return !(!e2.metaKey || "Enter" !== e2.code) || !(t2.isContentEditable || "INPUT" === i2 || "SELECT" === i2 || "TEXTAREA" === i2);
} });
__publicField(Q, "propTypes", { keyName: R.string, filter: R.func, onKeyDown: R.func, onKeyUp: R.func, disabled: R.bool, splitKey: R.string });
const A = U.div`
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
  min-width: min-content;
`, B = U.div`
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  height: 95px;
  flex-shrink: 0;
  padding: 32px 36px 0 16px;
  border-bottom: 1px solid #e1e3eb;
`, G = U.div`
  display: flex;
  flex-direction: column;

  .taco-edit-text-wrapper {
    width: 252px;
    color: #222222;
    font-size: 18px;
    font-weight: 500;
    margin-left: -8px;

    &:hover {
      background-color: #f5f5f6;
    }
  }

  .taco-edit-text-input {
    width: 252px;
    color: #222222;
    font-weight: 500;
    font-size: 18px;
    background-color: #f5f5f6;
    border: 1px solid #3377ff;
    margin-left: -8px;

    &:focus {
      border-color: #3377ff;
      box-shadow: 0 0 0 2px #d6e4ff;
    }
  }
`, J = U.div`
  display: flex;
  align-items: center;
  gap: 20px;
  font-size: 13px;
  color: #b8b9bf;
`, O = U.div`
  display: flex;
  align-items: center;
  gap: 12px;
`, $ = U.div`
  position: relative;
  display: flex;
  height: calc(100% - 95px);
  width: 100%;
`, W = U.div`
  position: relative;
  padding: 16px 16px 80px;
  flex-grow: 1;
  width: calc(100% - 297px);
`, X = U.div`
  height: 100%;
  width: 297px;
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
  border-left: 1px solid #e1e3eb;
`, Z = (r2) => {
  var _a;
  const { comp: o2, title: n2, subTitle: s2, headerRight: d2, bodyLeft: a2, bodyRight: l2 } = r2, p2 = o2.children.query, h2 = e(t), [c2, m2] = C();
  return I(() => {
    const e2 = new T(o2, (e3) => {
      m2((t2) => t2 ? e3(t2) : void 0);
    });
    m2(e2);
  }, []), I(() => {
    null != c2 && c2.setComp(() => o2);
  }, [o2]), c2 ? E(P.Provider, { value: c2, children: V(A, { children: [V(B, { children: [V(G, { children: [n2, V(J, { children: [i((_a = h2[p2.children.id.getView()]) == null ? void 0 : _a.createTime, 2592e6), s2] })] }), E(O, { children: d2 })] }), V($, { children: [E(W, { children: a2 }), E(X, { children: l2 })] })] }) }) : null;
}, Y = U(o)`
  position: absolute;
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
  border-top: 1px solid #e1e3eb;
  z-index: ${r.queryResultPanel};
  width: 100%;
  bottom: 0;
  left: 0;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;

  .react-resizable-handle {
    position: absolute;
    border-top: transparent solid 3px;
    width: 100%;
    padding: 0 3px 3px 0;
    top: 0;
    cursor: row-resize;
  }
`, _ = U.div`
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
`, ee = (e2) => {
  e2.preventDefault();
}, te = () => {
  window.addEventListener("mousedown", ee);
}, ie = (e2) => {
  var _a;
  const t2 = (_a = e2.comp) == null ? void 0 : _a.result(), [i2, r2] = C(360), { header: o2, body: n2 } = N({ ...t2 ?? { data: "", dataType: "default", success: true }, onClose: e2.onClose });
  if (!t2)
    return null;
  const s2 = document.documentElement.clientHeight;
  return E(Y, { width: 1 / 0, height: i2, resizeHandles: ["n"], minConstraints: [680, 285], maxConstraints: [1 / 0, s2 - 48 - 95], onResizeStart: te, onResizeStop: (e3, t3) => {
    r2(t3.size.height), window.removeEventListener("mousedown", ee);
  }, children: V(_, { children: [E(M, { style: { cursor: "default" }, children: o2 }), n2] }) });
}, re = n({ query: g(j, (e2) => E(x.Provider, { value: { datasourceId: e2.children.datasourceId.getView(), disableJSCompletion: true, placement: "queryLibrary" }, children: E(w, { comp: e2, placement: "queryLibrary" }) })), inputs: z }), oe = class extends re {
  propertyView(e2) {
    return E(ne, { comp: this, onPublish: e2.onPublish, onHistoryShow: e2.onHistoryShow, setModify: e2.setModify, modify: e2.modify });
  }
  getQueryPropertyView() {
    return this.children.query.getPropertyView();
  }
  getRightPropertyView() {
    return V(L, { children: [E(s, { name: d("prop.inputs"), width: 296, noMargin: true, children: this.children.inputs.getPropertyView() }, "inputs"), E(s, { name: d("prop.meta"), width: 296, noMargin: true, children: E("div", { style: { padding: " 0 8px" }, children: E(H, { dataSourceId: this.children.query.children.datasourceId.getView(), datasourceType: this.children.query.children.compType.getView() }) }) }, "meta")] });
  }
  nameAndExposingInfo() {
    const e2 = {};
    return this.children.inputs.getView().forEach((t2) => {
      e2[t2.children.name.getView()] = t2.exposingInfo();
    }), e2;
  }
}, ne = (e2) => {
  const { comp: t2, onPublish: i2, onHistoryShow: r2, setModify: o2, modify: n2 } = e2, s2 = a(), [g2, x2] = C(false), w2 = t2.children.query.children.datasourceId.getView(), j2 = l(w2);
  I(() => {
    x2(false);
  }, [t2.children.query.children.id.getView()]);
  const K2 = () => t2.children.query.dispatch(v({ afterExecFunc: () => x2(true) }));
  return E(F.Provider, { value: j2, children: E(p.Provider, { value: h(t2.nameAndExposingInfo(), false), children: E(Q, { global: true, keyName: "command+enter", onKeyDown: K2, allowRepeat: true, wrapperStyle: { width: "100%" }, children: E(Z, { comp: t2, title: E(c, { text: t2.children.query.children.name.getView(), onFinish: (e3) => e3 !== t2.children.query.children.name.getView() && t2.dispatch(m(t2.children.query.children.name.getView(), e3)) }), headerRight: V(L, { children: [E(y, { items: [{ text: d("queryLibrary.publish"), onClick: i2 }, { text: d("queryLibrary.historyVersion"), onClick: r2 }], del: () => u.confirm({ title: d("queryLibrary.deleteQueryLabel"), content: d("queryLibrary.deleteQueryContent"), onConfirm: () => {
    s2(f({ queryLibraryId: t2.children.query.children.id.getView() })), setTimeout(() => {
      o2(!n2);
    }, 500);
  }, confirmBtnType: "delete", okText: d("delete") }), children: E(de, { children: E(se, { tabIndex: -1 }) }) }), V(le, { onClick: K2, loading: t2.children.query.children.isFetching.getView(), buttonType: "primary", children: [E(ae, {}), d("queryLibrary.run")] })] }), bodyLeft: V(L, { children: [t2.getQueryPropertyView(), g2 && E(ie, { comp: t2.children.query, onClose: () => x2(false) })] }), bodyRight: E(b, { children: t2.getRightPropertyView() }) }) }) }) });
}, se = U(K)`
  flex-shrink: 0;

  g {
    fill: #8b8fa3;
  }
`, de = U.div`
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 32px;
  width: 32px;
  border: 1px solid #d7d9e0;
  border-radius: 4px;

  &:hover {
    background-color: #f5f5f6;
    border: 1px solid #d7d9e0;

    g {
      fill: #222222;
    }
  }
`, ae = U(k)`
  transform: rotate(-90deg);
  display: inline-block;
  padding-right: 2px;
  margin-right: 4px;
`, le = U(q)`
  padding: 0;
  width: 80px;
  height: 32px;
  border: none;

  &:hover {
    padding: 0;
    border: none;
    box-shadow: none;
  }

  &:focus {
    padding: 0;
    border: none;
    box-shadow: none;
  }

  &:after {
    content: "";
  }
`;
export {
  oe as QueryLibraryComp
};
