import { a as e } from "./alasql-f60045ee.js";
import { lC as t } from "./ant-design-icons-a0b7c811.js";
function r(e2) {
  return "Minified Redux error #" + e2 + "; visit https://redux.js.org/Errors?code=" + e2 + " for the full message or use the non-minified dev environment for full errors. ";
}
var n = "function" == typeof Symbol && Symbol.observable || "@@observable", o = function() {
  return Math.random().toString(36).substring(7).split("").join(".");
}, i = { INIT: "@@redux/INIT" + o(), REPLACE: "@@redux/REPLACE" + o(), PROBE_UNKNOWN_ACTION: function() {
  return "@@redux/PROBE_UNKNOWN_ACTION" + o();
} };
function u(e2) {
  if ("object" != typeof e2 || null === e2)
    return false;
  for (var t2 = e2; null !== Object.getPrototypeOf(t2); )
    t2 = Object.getPrototypeOf(t2);
  return Object.getPrototypeOf(e2) === t2;
}
function c(e2) {
  if (void 0 === e2)
    return "undefined";
  if (null === e2)
    return "null";
  var t2 = typeof e2;
  switch (t2) {
    case "boolean":
    case "string":
    case "number":
    case "symbol":
    case "function":
      return t2;
  }
  if (Array.isArray(e2))
    return "array";
  if (function(e3) {
    return e3 instanceof Date || "function" == typeof e3.toDateString && "function" == typeof e3.getDate && "function" == typeof e3.setDate;
  }(e2))
    return "date";
  if (function(e3) {
    return e3 instanceof Error || "string" == typeof e3.message && e3.constructor && "number" == typeof e3.constructor.stackTraceLimit;
  }(e2))
    return "error";
  var r2 = function(e3) {
    return "function" == typeof e3.constructor ? e3.constructor.name : null;
  }(e2);
  switch (r2) {
    case "Symbol":
    case "Promise":
    case "WeakMap":
    case "WeakSet":
    case "Map":
    case "Set":
      return r2;
  }
  return t2.slice(8, -1).toLowerCase().replace(/\s/g, "");
}
function s(e2) {
  var t2 = typeof e2;
  return "production" !== process.env.NODE_ENV && (t2 = c(e2)), t2;
}
function a(e2, t2, o2) {
  var c2;
  if ("function" == typeof t2 && "function" == typeof o2 || "function" == typeof o2 && "function" == typeof arguments[3])
    throw new Error("production" === process.env.NODE_ENV ? r(0) : "It looks like you are passing several store enhancers to createStore(). This is not supported. Instead, compose them together to a single function. See https://redux.js.org/tutorials/fundamentals/part-4-store#creating-a-store-with-enhancers for an example.");
  if ("function" == typeof t2 && void 0 === o2 && (o2 = t2, t2 = void 0), void 0 !== o2) {
    if ("function" != typeof o2)
      throw new Error("production" === process.env.NODE_ENV ? r(1) : "Expected the enhancer to be a function. Instead, received: '" + s(o2) + "'");
    return o2(a)(e2, t2);
  }
  if ("function" != typeof e2)
    throw new Error("production" === process.env.NODE_ENV ? r(2) : "Expected the root reducer to be a function. Instead, received: '" + s(e2) + "'");
  var d2 = e2, f2 = t2, p2 = [], l2 = p2, h2 = false;
  function y2() {
    l2 === p2 && (l2 = p2.slice());
  }
  function v2() {
    if (h2)
      throw new Error("production" === process.env.NODE_ENV ? r(3) : "You may not call store.getState() while the reducer is executing. The reducer has already received the state as an argument. Pass it down from the top reducer instead of reading it from the store.");
    return f2;
  }
  function E2(e3) {
    if ("function" != typeof e3)
      throw new Error("production" === process.env.NODE_ENV ? r(4) : "Expected the listener to be a function. Instead, received: '" + s(e3) + "'");
    if (h2)
      throw new Error("production" === process.env.NODE_ENV ? r(5) : "You may not call store.subscribe() while the reducer is executing. If you would like to be notified after the store has been updated, subscribe from a component and invoke store.getState() in the callback to access the latest state. See https://redux.js.org/api/store#subscribelistener for more details.");
    var t3 = true;
    return y2(), l2.push(e3), function() {
      if (t3) {
        if (h2)
          throw new Error("production" === process.env.NODE_ENV ? r(6) : "You may not unsubscribe from a store listener while the reducer is executing. See https://redux.js.org/api/store#subscribelistener for more details.");
        t3 = false, y2();
        var n2 = l2.indexOf(e3);
        l2.splice(n2, 1), p2 = null;
      }
    };
  }
  function w2(e3) {
    if (!u(e3))
      throw new Error("production" === process.env.NODE_ENV ? r(7) : "Actions must be plain objects. Instead, the actual type was: '" + s(e3) + "'. You may need to add middleware to your store setup to handle dispatching other values, such as 'redux-thunk' to handle dispatching functions. See https://redux.js.org/tutorials/fundamentals/part-4-store#middleware and https://redux.js.org/tutorials/fundamentals/part-6-async-logic#using-the-redux-thunk-middleware for examples.");
    if (void 0 === e3.type)
      throw new Error("production" === process.env.NODE_ENV ? r(8) : 'Actions may not have an undefined "type" property. You may have misspelled an action type string constant.');
    if (h2)
      throw new Error("production" === process.env.NODE_ENV ? r(9) : "Reducers may not dispatch actions.");
    try {
      h2 = true, f2 = d2(f2, e3);
    } finally {
      h2 = false;
    }
    for (var t3 = p2 = l2, n2 = 0; n2 < t3.length; n2++) {
      (0, t3[n2])();
    }
    return e3;
  }
  return w2({ type: i.INIT }), (c2 = { dispatch: w2, subscribe: E2, getState: v2, replaceReducer: function(e3) {
    if ("function" != typeof e3)
      throw new Error("production" === process.env.NODE_ENV ? r(10) : "Expected the nextReducer to be a function. Instead, received: '" + s(e3));
    d2 = e3, w2({ type: i.REPLACE });
  } })[n] = function() {
    var e3, t3 = E2;
    return (e3 = { subscribe: function(e4) {
      if ("object" != typeof e4 || null === e4)
        throw new Error("production" === process.env.NODE_ENV ? r(11) : "Expected the observer to be an object. Instead, received: '" + s(e4) + "'");
      function n2() {
        e4.next && e4.next(v2());
      }
      return n2(), { unsubscribe: t3(n2) };
    } })[n] = function() {
      return this;
    }, e3;
  }, c2;
}
var d = a;
function f(e2) {
  "undefined" != typeof console && console.error;
  try {
    throw new Error(e2);
  } catch (e3) {
  }
}
function p(e2) {
  for (var t2 = Object.keys(e2), n2 = {}, o2 = 0; o2 < t2.length; o2++) {
    var c2 = t2[o2];
    "production" !== process.env.NODE_ENV && void 0 === e2[c2] && f('No reducer provided for key "' + c2 + '"'), "function" == typeof e2[c2] && (n2[c2] = e2[c2]);
  }
  var a2, d2, p2 = Object.keys(n2);
  "production" !== process.env.NODE_ENV && (a2 = {});
  try {
    !function(e3) {
      Object.keys(e3).forEach(function(t3) {
        var n3 = e3[t3];
        if (void 0 === n3(void 0, { type: i.INIT }))
          throw new Error("production" === process.env.NODE_ENV ? r(12) : 'The slice reducer for key "' + t3 + `" returned undefined during initialization. If the state passed to the reducer is undefined, you must explicitly return the initial state. The initial state may not be undefined. If you don't want to set a value for this reducer, you can use null instead of undefined.`);
        if (void 0 === n3(void 0, { type: i.PROBE_UNKNOWN_ACTION() }))
          throw new Error("production" === process.env.NODE_ENV ? r(13) : 'The slice reducer for key "' + t3 + `" returned undefined when probed with a random type. Don't try to handle '` + i.INIT + `' or other actions in "redux/*" namespace. They are considered private. Instead, you must return the current state for any unknown actions, unless it is undefined, in which case you must return the initial state, regardless of the action type. The initial state may not be undefined, but can be null.`);
      });
    }(n2);
  } catch (e3) {
    d2 = e3;
  }
  return function(e3, t3) {
    if (void 0 === e3 && (e3 = {}), d2)
      throw d2;
    if ("production" !== process.env.NODE_ENV) {
      var o3 = function(e4, t4, r2, n3) {
        var o4 = Object.keys(t4), c4 = r2 && r2.type === i.INIT ? "preloadedState argument passed to createStore" : "previous state received by the reducer";
        if (0 === o4.length)
          return "Store does not have a valid reducer. Make sure the argument passed to combineReducers is an object whose values are reducers.";
        if (!u(e4))
          return "The " + c4 + ' has unexpected type of "' + s(e4) + '". Expected argument to be an object with the following keys: "' + o4.join('", "') + '"';
        var a3 = Object.keys(e4).filter(function(e5) {
          return !t4.hasOwnProperty(e5) && !n3[e5];
        });
        return a3.forEach(function(e5) {
          n3[e5] = true;
        }), r2 && r2.type === i.REPLACE ? void 0 : a3.length > 0 ? "Unexpected " + (a3.length > 1 ? "keys" : "key") + ' "' + a3.join('", "') + '" found in ' + c4 + '. Expected to find one of the known reducer keys instead: "' + o4.join('", "') + '". Unexpected keys will be ignored.' : void 0;
      }(e3, n2, t3, a2);
      o3 && f(o3);
    }
    for (var c3 = false, l2 = {}, h2 = 0; h2 < p2.length; h2++) {
      var y2 = p2[h2], v2 = n2[y2], E2 = e3[y2], w2 = v2(E2, t3);
      if (void 0 === w2) {
        var b2 = t3 && t3.type;
        throw new Error("production" === process.env.NODE_ENV ? r(14) : "When called with an action of type " + (b2 ? '"' + String(b2) + '"' : "(unknown type)") + ', the slice reducer for key "' + y2 + '" returned undefined. To ignore an action, you must explicitly return the previous state. If you want this reducer to hold no value, you can return null instead of undefined.');
      }
      l2[y2] = w2, c3 = c3 || w2 !== E2;
    }
    return (c3 = c3 || p2.length !== Object.keys(e3).length) ? l2 : e3;
  };
}
function l(e2, t2) {
  return function() {
    return t2(e2.apply(this, arguments));
  };
}
function h() {
  for (var e2 = arguments.length, t2 = new Array(e2), r2 = 0; r2 < e2; r2++)
    t2[r2] = arguments[r2];
  return 0 === t2.length ? function(e3) {
    return e3;
  } : 1 === t2.length ? t2[0] : t2.reduce(function(e3, t3) {
    return function() {
      return e3(t3.apply(void 0, arguments));
    };
  });
}
function y() {
  for (var e2 = arguments.length, n2 = new Array(e2), o2 = 0; o2 < e2; o2++)
    n2[o2] = arguments[o2];
  return function(e3) {
    return function() {
      var o3 = e3.apply(void 0, arguments), i2 = function() {
        throw new Error("production" === process.env.NODE_ENV ? r(15) : "Dispatching while constructing your middleware is not allowed. Other middleware would not be applied to this dispatch.");
      }, u2 = { getState: o3.getState, dispatch: function() {
        return i2.apply(void 0, arguments);
      } }, c2 = n2.map(function(e4) {
        return e4(u2);
      });
      return i2 = h.apply(void 0, c2)(o3.dispatch), t(t({}, o3), {}, { dispatch: i2 });
    };
  };
}
const v = Object.freeze(Object.defineProperty({ __proto__: null, __DO_NOT_USE__ActionTypes: i, applyMiddleware: y, bindActionCreators: function(e2, t2) {
  if ("function" == typeof e2)
    return l(e2, t2);
  if ("object" != typeof e2 || null === e2)
    throw new Error("production" === process.env.NODE_ENV ? r(16) : "bindActionCreators expected an object or a function, but instead received: '" + s(e2) + `'. Did you write "import ActionCreators from" instead of "import * as ActionCreators from"?`);
  var n2 = {};
  for (var o2 in e2) {
    var i2 = e2[o2];
    "function" == typeof i2 && (n2[o2] = l(i2, t2));
  }
  return n2;
}, combineReducers: p, compose: h, createStore: a, legacy_createStore: d }, Symbol.toStringTag, { value: "Module" })), E = e(v);
var w = {}, b = Object.keys || function(e2) {
  var t2 = [];
  for (var r2 in e2)
    ({}).hasOwnProperty.call(e2, r2) && t2.push(r2);
  return t2;
};
var N = function(e2, t2, r2) {
  for (var n2 = b(e2), o2 = {}, i2 = 0, u2 = n2.length; i2 < u2; i2++) {
    var c2 = n2[i2];
    o2[c2] = e2[c2];
  }
  return o2[t2] = r2, o2;
}, O = E.compose;
function _() {
  var e2 = arguments[0] || {};
  return e2.features = { pause: true, export: true, test: true }, e2.type = "redux", void 0 === e2.autoPause && (e2.autoPause = true), void 0 === e2.latency && (e2.latency = 500), function(t2) {
    return function(r2, n2, o2) {
      var i2 = t2(r2, n2, o2), u2 = i2.dispatch, c2 = window.__REDUX_DEVTOOLS_EXTENSION__.connect(e2);
      c2.init(i2.getState());
      var s2 = function(e3) {
        var t3 = u2(e3);
        return c2.send(e3, i2.getState()), t3;
      };
      return Object.assign ? Object.assign(i2, { dispatch: s2 }) : N(i2, "dispatch", s2);
    };
  };
}
function g(e2) {
  return function() {
    return O(O.apply(null, arguments), _(e2));
  };
}
w.__esModule = true, w.composeWithDevTools = function() {
  return "undefined" != typeof window && window.__REDUX_DEVTOOLS_EXTENSION__ ? 0 === arguments.length ? _() : "object" == typeof arguments[0] ? g(arguments[0]) : g().apply(null, arguments) : 0 !== arguments.length ? "object" == typeof arguments[0] ? O : O.apply(null, arguments) : void 0;
}, w.devToolsEnhancer = "undefined" != typeof window && window.__REDUX_DEVTOOLS_EXTENSION__ ? _ : function() {
  return function(e2) {
    return e2;
  };
};
var m = E.compose, D = w, S = "production" === process.env.NODE_ENV ? D.composeWithDevTools : "undefined" != typeof window && window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ ? window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ : function() {
  if (0 !== arguments.length)
    return "object" == typeof arguments[0] ? m : m.apply(null, arguments);
};
export {
  a,
  S as b,
  p as c,
  y as d,
  v as r
};
