import { useContext as e, useState as t, useEffect as i } from "react";
import { l as r, w as l } from "./antd-08b1e7ad.js";
import { at as o, au as a, a0 as s, eu as n, a6 as p, P as c, ax as m, w as d, V as u, a5 as j, a1 as h, ev as b, v as g, U as y, a9 as v, aa as w, ai as f, ac as k, ab as x, ad as $, af as L, ae as V, ar as C, e6 as P, ak as S } from "./index-76afd059.js";
import "./lodash-b5661970.js";
import { lz as D, lI as I, lJ as H } from "./ant-design-icons-a0b7c811.js";
import "./loglevel-b4003767.js";
import { timelineDate as O, TimelineDataTooltip as T } from "./timelineConstants-fef5dd17.js";
import { convertTimeLineData as z } from "./timelineUtils-36331ed3.js";
import { u as E } from "./styled-components-7cfa37e6.js";
import "react-dom";
import "./dayjs-2035e031.js";
import "./alasql-f60045ee.js";
import "./axios-04f95181.js";
import "./redux-devtools-e01f73fe.js";
import "./fontawesome-3904a214.js";
import "./dnd-kit-55cc4eb1.js";
import "./moment-059406e8.js";
import "./numbro-47982265.js";
import "./papaparse-07642d76.js";
import "./uuid-bd83cae2.js";
import "./supabase-b2e314d0.js";
import "./fetch-648a91f6.js";
import "./react-draggable-ed505bfc.js";
import "./remark-gfm-18306abe.js";
import "./buffer-d3713d77.js";
import "./rehype-raw-6ebcba88.js";
import "./parse5-f837f753.js";
import "./rehype-sanitize-953d0761.js";
import "./simplebar-react-ddfabac6.js";
import "./react-best-gradient-color-picker-97285457.js";
import "./ua-parser-js-c952c07b.js";
import "./clsx-469c2c43.js";
import "./file-saver-55285fc1.js";
import "./codemirror-e6215243.js";
import "./really-relaxed-json-056be70b.js";
import "./immer-c0428a8d.js";
import "./hotkeys-js-699906bc.js";
import "./cnchar-e1339167.js";
import "./react-json-view-5330ce92.js";
const F = E.div`
  ${(e2) => `margin: ${e2.$style.margin ?? "3px"}`};
  ${(e2) => `padding: ${"3px" !== e2.$style.padding ? e2.$style.padding : "20px 10px 0px 10px"}`};
  ${(e2) => `width: ${o(e2.$style.margin ?? "3px")}`};
  ${(e2) => `height: ${a(e2.$style.margin ?? "3px")}`};
  ${(e2) => `background: ${e2.$style.background}`};
  ${(e2) => `border-radius: ${e2.$style.radius}`};
  overflow: auto;
  overflow-x: hidden;

  .ant-timeline .ant-timeline-item-head {
    background-color: transparent;
  }
`, M = [S], U = [{ label: s("timeLine.left"), value: "left" }, { label: s("timeLine.right"), value: "right" }, { label: s("timeLine.alternate"), value: "alternate" }], q = { value: n(z, O), mode: p(U, "alternate"), reverse: c, autoHeight: m, verticalScrollbar: d(c, false), pending: d(u, s("timeLine.defaultPending")), onEvent: j(M), style: h(b, "style"), clickedObject: g({ title: "" }), clickedIndex: g(0) }, A = (e2) => {
  const { value: o2, dispatch: a2, style: s2, mode: n2, reverse: p2, onEvent: c2 } = e2, [m2, d2] = t([]);
  i(() => {
    (async () => {
      const e3 = await Promise.all(o2.map((e4) => e4.dot ? (async (e5) => {
        if (!e5)
          return null;
        try {
          const t2 = (await import("./ant-design-icons-a0b7c811.js").then((e6) => e6.n1))[e5];
          return t2 ? D(t2, {}) : null;
        } catch (e6) {
          return null;
        }
      })(e4.dot) : Promise.resolve(null)));
      d2(e3);
    })();
  }, [o2]);
  const u2 = o2.map((e3, t2) => ({ key: t2, color: e3 == null ? void 0 : e3.color, dot: m2[t2] || "", label: D("span", { style: { color: (e3 == null ? void 0 : e3.labelColor) || (s2 == null ? void 0 : s2.labelColor) }, children: e3 == null ? void 0 : e3.label }), children: I(H, { children: [D(r, { type: "link", onClick: (i2) => {
    i2.preventDefault(), a2(C("clickedObject", e3, false)), a2(C("clickedIndex", t2, false)), c2("click");
  }, style: { cursor: "pointer", color: (e3 == null ? void 0 : e3.titleColor) || (s2 == null ? void 0 : s2.titleColor) }, children: D("b", { children: e3 == null ? void 0 : e3.title }) }), D("p", { style: { color: (e3 == null ? void 0 : e3.subTitleColor) || (s2 == null ? void 0 : s2.subTitleColor) }, children: e3 == null ? void 0 : e3.subTitle })] }) }));
  return D(P, { hideScrollbar: !e2.verticalScrollbar, children: D(F, { $style: s2, children: D(l, { mode: (e2 == null ? void 0 : e2.mode) || "left", reverse: e2 == null ? void 0 : e2.reverse, pending: (e2 == null ? void 0 : e2.pending) && D("span", { style: { color: s2 == null ? void 0 : s2.titleColor }, children: (e2 == null ? void 0 : e2.pending) || "" }), items: u2 }) }) });
};
let B = new y(q, (e2, t2) => D(A, { ...e2, dispatch: t2 })).setPropertyViewFn((t2) => I(H, { children: [D(v, { name: w.basic, children: t2.value.propertyView({ label: s("timeLine.value"), tooltip: T, placeholder: "[]" }) }), ["logic", "both"].includes(e(f).editorModeStatus) && I(v, { name: w.interaction, children: [t2.onEvent.getPropertyView(), k(t2), x(t2)] }), ["layout", "both"].includes(e(f).editorModeStatus) && I(H, { children: [I(v, { name: w.layout, children: [t2.autoHeight.getPropertyView(), !t2.autoHeight.getView() && t2.verticalScrollbar.propertyView({ label: s("prop.showVerticalScrollbar") }), t2.mode.propertyView({ label: s("timeLine.mode"), tooltip: s("timeLine.modeTooltip") }), t2.pending.propertyView({ label: s("timeLine.pending"), tooltip: s("timeLine.pendingDescription") }), t2.reverse.propertyView({ label: s("timeLine.reverse") })] }), D(v, { name: w.style, children: t2.style.getPropertyView() })] })] })).build();
B = class extends B {
  autoHeight() {
    return this.children.autoHeight.getView();
  }
};
const G = $(B, [new L("value", s("timeLine.valueDesc")), new L("clickedObject", s("timeLine.clickedObjectDesc")), new L("clickedIndex", s("timeLine.clickedIndexDesc")), V]);
export {
  G as TimeLineComp
};
